Subject: Re: bug#58912: 29.0.50; set-face-attribute call in init.el has no lasting effect

From: Po Lu <[email-masked]>
Date: Thu, 03 Nov 2022 19:09:14 +0800

Eli Zaretskii <[email-masked]> writes:

> Where can I read about the semantics of this event?

I don't know.

> I don't think I understand well enough what it means and how we should
> support it in Emacs.

The event is sent when the system says all fonts must be reopened,
because the settings used by the underlying font library have changed.

> Also, any idea why we are delivered this event during startup?

No idea.  TBH, it sounds like a bug in the PGTK GSettings code I will
look into.